# $Revision: 1.99 $, $Date: 2009/04/27 09:35:29 $
Summary:	DHCP Client Daemon
Summary(de.UTF-8):	DHCPC-Dämon
Summary(es.UTF-8):	Cliente (daemon) DHCP
Summary(fr.UTF-8):	Démon DHCPC
Summary(pl.UTF-8):	Klient (daemon) DHCP
Summary(pt_BR.UTF-8):	Servidor DHCPC
Summary(tr.UTF-8):	DHCPC sunucu süreçi (daemon)
Name:		dhcpcd
Version:	4.0.13
Release:	1
License:	BSD
Group:		Networking/Daemons
#Source0Download: http://developer.berlios.de/project/filelist.php?group_id=4229
Source0:	http://roy.marples.name/downloads/dhcpcd/%{name}-%{version}.tar.bz2
# Source0-md5:	88ce2c79d6c4c5f76a3cbcedb155b6d7
URL:		http://roy.marples.name/dhcpcd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
dhcpcd is an implementation of the DHCP client specified in
draft-ietf-dhc-dhcp-09 (when -r option is not specified) and RFC1541
(when -r option is specified).

It gets the host information (IP address, netmask, broadcast address,
etc.) from a DHCP server and configures the network interface of the
machine on which it is running. It also tries to renew the lease time
according to RFC1541 or draft-ietf-dhc-dhcp-09.

%description -l de.UTF-8
dhcpcd ist eine Implementierung des DHCP-Client, spezifiziert in
draft-ietf-dhc-dhcp-09 (wenn -r option nicht angegeben) und RFC1541
(wenn -r option angegeben).

Es bezieht die Host-Infos (IP-Adresse, Netmask, Broadcast-Adresse,
usw.) von einem DHCP-Server und konfiguriert die Netzschnittstelle des
Computers, auf dem es läuft Es versucht, die Verleihzeit gemäß RFC1541
bzw. draft-ietf-dhc-dhcp-09 zu verlängern.

%description -l es.UTF-8
dhcpcd es una implementación del cliente DHCP especificado en
draft-ietf-dhc-dhcp-09 (cuando la opción -r no está especificada) y
RFC1541 (cuando la opción -r está especificada). Captura la
información del host (dirección IP, máscara de red, dirección de
broadcast, etc.) de un servidor DHCP y configura la interface de red
de la máquina donde esté ejecutando. También intenta renovar el tiempo
de alquiler de los direcciones de acuerdo con RFC1541 o
draft-ietf-dhc-dhcp-09.

%description -l fr.UTF-8
dhcpcd est une implantation du client DHCP spécifié dans les
draft-ietf-dhc-dhcp-09 (sans l'option -r) et RFC1541 (avec l'option
- -r).

Il obtient l'information sur l'hôte (adresse IP, masque réseau,
adresse de diffusion, etc.) à partir d'un serveur DHCP et configure
l'interface réseau de la machine sur laquelle il tourne. Il essaie
aussi de renouveler le « lease time » selon les RFC1541 ou
draft-ietf-dhc-dhcp-09.

%description -l pl.UTF-8
dhcpd jest implementacja klienta DHCP, opisaną w
draft-ietf-dhc-dhcp-09 (kiedy nie podaje się opcji -r) oraz RFC1544
(kiedy podaje się opcję -r).

Pobiera on informację o komputerze (adres IP, maska sieci, adres
rozgłoszeniowy itd.) i konfiguruje interfejs sieciowy maszyny, na
której jest uruchomiony. Próbuje również odświeżyć czas przestoju
zgodnie z RFC1541 oraz draft-ietf-dhc-dhcp-09.

%description -l pt_BR.UTF-8
dhcpcd é uma implementação do cliente DHCP especificado em
draft-ietf-dhc-dhcp-09 (quando a opção -r não é especificada) e
RFC1541 (quando a opção -r é especificada). Ele captura a informação
do host (endereço IP, máscara de rede, endereço de broadcast, etc.) de
um servidor DHCP e configura a interface de rede da máquina em que
está rodando. Ele também tenta renovar o tempo de aluguel dos
endereços de acordo com RFC1541 ou draft-ietf-dhc-dhcp-09.

%description -l tr.UTF-8
Makina bilgilerini (IP adresi, ağ maskesi, yayın adresi, vb.) bir DHCP
sunucusundan alır ve üzerinde çalıştığı makinanın ağ arayüzünü
ayarlar. Ayrıca RFC1541 veya draft-ietf-dhc-dhcp-09'a uygun olarak,
kira zamanını (lease time) yenilemeye çalışır.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmcflags} %{rpmldflags}" \
	mandir=%{_mandir} \
	sbindir=%{_sbindir} \
	LIBEXECDIR=%{_libdir}/%{name} \
	DBDIR=/var/lib/dhcpcd

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/var/lib/dhcpcd}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir} \
	sbindir=%{_sbindir} \
	LIBEXECDIR=%{_libdir}/%{name} \
	DBDIR=/var/lib/dhcpcd

touch $RPM_BUILD_ROOT%{_sysconfdir}/dhcpcd.{enter-hook,exit-hook}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*.conf
%attr(755,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/*-hook
%attr(755,root,root) %{_sbindir}/dhcpcd
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/dhcpcd-hooks
%attr(755,root,root) %{_libdir}/%{name}/dhcpcd-hooks/*
%attr(755,root,root) %{_libdir}/%{name}/dhcpcd-run-hooks
%dir %{_var}/lib/dhcpcd
%{_mandir}/man[58]/dhcpcd*.[58]*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dhcpcd.spec,v $
Revision 1.99  2009/04/27 09:35:29  lisu
- up to 4.0.13

Revision 1.98  2009/02/27 11:07:34  adamg
- updated to 4.0.12

Revision 1.97  2009/02/23 15:10:46  lisu
- 4.0.11

Revision 1.96  2009/02/10 10:23:09  lisu
- 4.0.10

Revision 1.95  2009/01/30 12:13:37  lisu
- 4.0.8

Revision 1.94  2008/12/03 11:09:15  lisu
- 4.0.7

Revision 1.93  2008/11/27 07:57:29  paszczus
- updated to 4.0.6

Revision 1.92  2008/11/24 16:47:33  qboosh
- ??? License is (2-clause) BSD

Revision 1.91  2008/11/21 15:26:29  lisu
- up to 4.0.5

Revision 1.90  2008/11/05 09:22:07  paszczus
- updated to 4.0.4

Revision 1.89  2008/10/24 09:24:30  paszczus
- updated to 4.0.2

Revision 1.88  2008/10/23 15:02:40  arekm
- up to 4.0.1

Revision 1.87  2008-03-05 21:48:20  czarny
- up to 3.2.3
- URL changed

Revision 1.86  2007-12-26 23:31:39  blues
- rel.4 - it's daemon -> log with daemon facility

Revision 1.85  2007-11-27 13:33:29  glen
- fix dhcpcd dir; rel 3

Revision 1.84  2007-11-26 20:52:29  glen
- dhcpcd.sh is back (see r1.57); rel 2

Revision 1.83  2007-11-26 19:24:26  shadzik
- 3.1.8

Revision 1.82  2007-09-05 12:21:10  baggins
- rel 2

Revision 1.81  2007/08/27 05:43:33  shadzik
- 3.1.5

Revision 1.80  2007/08/19 15:10:44  shadzik
- 3.1.4

Revision 1.79  2007/07/21 15:35:39  shadzik
- 3.0.19

Revision 1.78  2007/04/14 15:06:27  shadzik
- 3.0.17

Revision 1.77  2007/03/24 23:42:21  shadzik
- 3.0.16

Revision 1.76  2007/02/22 04:38:43  shadzik
- 3.0.12
- STBR

Revision 1.75  2007/02/22 04:38:00  shadzik
- 3.0.11

Revision 1.74  2007/02/14 21:45:38  qboosh
- fixed (removed non-existing dotest patch)

Revision 1.73  2007/02/14 21:40:02  qboosh
- resolved conflict

Revision 1.72  2007/02/12 21:23:52  glen
- tabs in preamble

Revision 1.71  2007/02/12 00:48:45  baggins
- converted to UTF-8

Revision 1.70  2007/02/07 11:01:33  matkor
- Version 3.0.10-1. STBR for AC.

Revision 1.69  2007/01/22 15:14:15  shadzik
- 3.0.9

Revision 1.68  2007/01/02 03:15:33  shadzik
- 3.0.8

Revision 1.67  2006/12/16 23:17:16  shadzik
- kill unneeded BRs

Revision 1.66  2006/12/16 21:00:18  vip
- up to 3.0.6

Revision 1.65  2006/12/06 05:19:54  sparky
- use cflags when linking

Revision 1.64  2006/12/06 05:17:56  shadzik
- add CC

Revision 1.63  2006/12/06 05:07:51  shadzik
- cosmetics

Revision 1.62  2006/12/06 05:01:42  shadzik
- 3.0.3

Revision 1.61  2006/12/06 05:01:13  shadzik
- 3.0.2

Revision 1.60  2006/12/06 05:00:46  shadzik
- 3.0.1

Revision 1.59  2006/12/06 04:58:40  shadzik
- up to 3.0.0
- patch0 obsoleted by new ntp-path.patch
- no config file

Revision 1.58  2006/10/12 21:15:45  qboosh
- added download URL (2.0.8 there)

Revision 1.57  2006/08/31 21:58:01  glen
- fix ntp.conf path
- package /etc/dhcpc/dhcpcd.exe (harmless but useful for making own)
- rel 3

Revision 1.56  2006/06/15 10:36:31  lmasko
- Removed an old patch dhcpcd-paths_fixes.patch by kloczek -
  -e <etcDir> option works again.

Revision 1.55  2006/01/22 19:17:06  pluto
- updated to 2.0.1, gentoo has no essential patches.
- release 1 (i'm using this deamon and it seems to work).

Revision 1.54  2005/11/22 21:57:53  hawk
- looks like dhcpcd has new maintainers, updated to 2.0.0, added URL
- release 0.1, seems to work but needs testing anyway

Revision 1.53  2005/07/27 20:59:23  blues
- literal todo added

Revision 1.52  2005/07/27 20:58:26  blues
- release 5 - added security patch from Debian/Gentoo (fixes CAN-2005-1848)
  There is few more very useful patches in gentoo.

Revision 1.51  2005/07/16 14:28:52  glen
- security note

Revision 1.50  2004/12/17 21:25:22  sparky
- spanish desc/summary fixes; many just thrown

Revision 1.49  2004/08/31 03:31:58  snurf
- typos / formatting / etc.

Revision 1.48  2004/08/19 15:38:02  averne
- rel++

Revision 1.47  2003/12/02 12:46:18  undefine
- release 3 to allow upgrade from RA

Revision 1.46  2003/08/24 20:24:25  blues
- release 2 - make version "eatable" for distfiles

Revision 1.45  2003/05/26 16:24:53  malekith
- massive attack: adding Source-md5

Revision 1.44  2003/05/25 05:46:44  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.43  2003/01/06 12:26:26  blues
- 1.3.22-pl4 - SECURITY update (STBR to Ra updates security)

Revision 1.42  2002/12/31 11:16:42  gotar
- cut off Vendor

Revision 1.41  2002/10/11 16:51:53  kloczek
- release 155555: more fixes in paths_fixes patch:
- - fix dhcpcd nam page for inform about writing pid file is allways performed in
   /var/run,
- - more fixes for correct snprintf() output pid file name (by Przemyslaw Bialek
   <lobo@chello.pl>) in case const location in /var/run.

Revision 1.40  2002/10/07 12:29:02  kloczek
- release 14: fixed path_fixes patch for use interface name in pid file name.

Revision 1.39  2002/09/10 10:37:13  blues
- now builds - STBR again

Revision 1.38  2002/09/09 18:04:16  kloczek
- other_path_fix + dhcpcd-pid_path_fix = dhcpcd-paths_fixes + fixed paths in
  dhcpcd(8) man page,
- update %files for use FHS compliant paths.

Revision 1.37  2002/09/08 14:28:58  maryush
- fixed invalid /etc/dhcpcd path
- STBR

Revision 1.36  2002/08/06 11:38:13  maryush
- ooops release++ ;)
- STBR

Revision 1.35  2002/08/06 11:34:34  maryush
- fixed dhcpd pid location

Revision 1.34  2002/07/18 21:38:12  kloczek
- bump reelase to 11.

Revision 1.33  2002/07/18 21:24:46  kloczek
- configure patch is back,
- merge RH fixes,
- merge translations from Conectiva.

Revision 1.32  2002/07/18 20:51:48  marcus
- updated to 1.3.22-pl1

Revision 1.31  2002/05/21 23:12:47  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.30  2002/04/25 16:11:31  arturs
- fixed a small typo

Revision 1.29  2002/03/24 23:28:15  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.28  2002/03/05 18:06:11  marcus
- remove uclibc stuff
- rel.4.

Revision 1.27  2002/02/23 01:47:48  kloczek
- adapterized.

Revision 1.26  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/18 22:02:36  gotar
- %desc

Revision 1.24  2002/01/21 18:31:41  malekith
- rel 3
- embed -> BOOT

Revision 1.23  2002/01/18 02:12:41  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.22  2001/11/10 00:58:21  kloczek
- release 2,
- spec adapterized,
- added missing %description for BOOT and few minor changes.

Revision 1.21  2001/08/23 17:28:58  filon
- removed -s from install -s, stripping is done by rpm

Revision 1.20  2001/06/03 23:36:45  klakier
- added BOOT package

Revision 1.19  2001/04/06 21:47:11  misiek
- 1.3.20pl0; stb

Revision 1.18  2001/04/05 07:11:02  misiek
- 1.3.19pl9; stb

Revision 1.17  2001/03/12 21:15:03  kloczek
- added gzipping %doc.

Revision 1.16  2001/03/12 09:04:38  misiek
- 1.3.19pl8; stb

Revision 1.15  2001/02/25 00:57:14  misiek
- 1.3.19pl7; stb

Revision 1.14  2000/10/22 12:52:28  misiek
- updated to 1.3.19-pl2

Revision 1.13  2000/06/09 07:54:40  kloczek
- more %{__make} macros.

Revision 1.12  2000/06/09 07:22:49  kloczek
- added using %{__make} macro.

Revision 1.11  2000/05/18 17:35:47  kloczek
- spec adapterized.

Revision 1.10  2000/05/09 20:16:17  kloczek
- added de, fr, tr translations from Bero spec.

Revision 1.9  2000/05/09 19:30:35  kloczek
- Group changed to Networking/Daemons,
- spec adapterized,
- added passsing LDFLAGS="-s" for produce stripped binaries.

Revision 1.8  2000/05/09 19:00:03  baggins
- created /etc/dhcpc in %install

Revision 1.7  2000/05/09 18:36:31  baggins
- more docs
- added /etc/dhcpc directory

Revision 1.6  2000/05/09 18:16:41  baggins
- spec adapterized
- updated to 1.3.18-p7

Revision 1.5  2000/05/02 21:21:54  baggins
- fixed version, minor cleanup

Revision 1.4  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.3  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 11:27:28  arturs
- added %description -l pl

Revision 1.1  1999/08/19 20:07:25  baggins
- almost raw
